[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TryStrToCurr

Try to convert a string to a currency

## Declaration

Source position: line 0

`function TryStrToCurr(`
`const S: string;`
`out Value: Currency`
`):Boolean; function TryStrToCurr(`
`const S: string;`
`out Value: Currency;`
`const FormatSettings: TFormatSettings`
`):Boolean;`

## Description

TryStrToCurr converts the string S to a currency value and returns the value in Value. The function returns True if it was successful, False if not. This is contrary to StrToCurr, which raises an exception when the conversion fails.

The function takes into account locale information.

## See also

StrToCurr |  | Convert a string to a currency value
TextToFloat |  | Convert a buffer to a float value.

Documentation generated on: Feb 26 2014